## golang-github-juju-loggo 2.1.0

=== Makefile ===
default: check

check:
	go test

docs:
	godoc2md github.com/juju/loggo > README.md
	sed -i 's|\[godoc-link-here\]|[![GoDoc](https://godoc.org/github.com/juju/loggo?status.svg)](https://godoc.org/github.com/juju/loggo)|' README.md 


.PHONY: default check docs

## golang-github-juju-loggo 0.0~git20150527.0.8477fc9

=== debian/changelog ===
golang-github-juju-loggo (0.0~git20150527.0.8477fc9-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends, remove golang-go from
    Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 20:34:50 +0300

golang-github-juju-loggo (0.0~git20150527.0.8477fc9-1) unstable; urgency=low

  * Initial release (Closes: #785083)

 -- Tim Potter <tpot@hp.com>  Mon, 11 May 2015 14:19:58 +1000

=== debian/control ===
Source: golang-github-juju-loggo
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9), dh-golang, golang-any, golang-check.v1-dev
Standards-Version: 3.9.6
Homepage: https://github.com/juju/loggo
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-juju-loggo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-juju-loggo.git

Package: golang-github-juju-loggo-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Alternative logging library for Go
 Loggo is an alternative logging library for Go. It doesn't use the
 built-in Go log library, but instead offers a replacement.

=== debian/watch ===
version=3
 https://github.com/juju/loggo/releases \
 .*/v?(\d[\d\.]*)\.tar\.gz

## golang-github-juju-loggo 0.0~git20170605.8232ab8

=== debian/changelog ===
golang-github-juju-loggo (0.0~git20170605.8232ab8-4) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:23:50 -0500

golang-github-juju-loggo (0.0~git20170605.8232ab8-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 17:17:47 -0500

golang-github-juju-loggo (0.0~git20170605.8232ab8-2) unstable; urgency=medium

  * Import debian/changelog from original package. I uploaded this thinking
    this was not already available in Debian.
  * Import uploaders from original package.
  * Missing changelog points from last entry:
    - priority extra -> optional.
    - Testsuite: autopkgtest-pkg-go.
    - Use XS-Go-Import-Path.
    - Update d/copyright.

 -- Alexandre Viau <aviau@debian.org>  Mon, 08 Jan 2018 00:58:20 -0500

golang-github-juju-loggo (0.0~git20170605.8232ab8-1) unstable; urgency=medium

  * Initial release (Closes: #886615)

 -- Alexandre Viau <aviau@debian.org>  Mon, 08 Jan 2018 00:34:24 -0500

=== debian/control ===
Source: golang-github-juju-loggo
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-juju-ansiterm-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.1.1
Homepage: https://github.com/juju/loggo
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo.git
XS-Go-Import-Path: github.com/juju/loggo
Testsuite: autopkgtest-pkg-go

Package: golang-github-juju-loggo-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-juju-ansiterm-dev,
         golang-gopkg-check.v1-dev,
Description: logging library for Go
 This package provides an alternative to the standard library
 log package.
 .
 The actual logging functions never return errors.  If you are logging
 something, you really don't want to be worried about the logging having
 trouble.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-juju-loggo-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/juju/loggo/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-juju-loggo 0.0~git20210728.eebad3a

=== debian/changelog ===
golang-github-juju-loggo (0.0~git20210728.eebad3a-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream snapshot
  * Add myself to uploaders
  * d/control:
    - Update Section to golang
    - Update Maintainer field to current team email address
    - Bump Standards-Version (no changes needed)
    - Use debhelper-compat
    - Add Rules-Requires-Root: no
    - Update Depends
  * d/copyright:
    - Update years
    - Remove unneeded Files-Excluded
  * Refresh d/rules
  * Add d/upstream/metadata
  * Update d/watch

  [ Alexandre Viau ]
  * Remove myself from uploaders.
    (It appears that 0.0~git20170605.8232ab8-5 was never actually uploaded;
     including change in this upload and collapsing the changelog)

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 31 Oct 2021 23:25:42 +0100

=== debian/control ===
Source: golang-github-juju-loggo
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>, Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-juju-ansiterm-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo.git
Homepage: https://github.com/juju/loggo
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/loggo

Package: golang-github-juju-loggo-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-juju-ansiterm-dev,
         golang-gopkg-check.v1-dev,
Description: logging library for Go
 This package provides an alternative to the standard library
 log package.
 .
 The actual logging functions never return errors.  If you are logging
 something, you really don't want to be worried about the logging having
 trouble.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/juju/loggo.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=loggo)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/juju/loggo/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-juju-loggo 1.0.0

=== debian/changelog ===
golang-github-juju-loggo (1.0.0-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * First upstream release
    - Update d/watch to track releases
  * Update Standards-Version in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Wed, 10 Aug 2022 15:19:57 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-juju-ansiterm-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo.git
 Homepage: https://github.com/juju/loggo

## golang-github-juju-loggo 2.0.0

=== debian/changelog ===
golang-github-juju-loggo (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update my email address
    - Update Standards-Version to 4.6.2 (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 08 Feb 2024 23:40:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-juju-loggo
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Tim Potter <tpot@hpe.com>, Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Tim Potter <tpot@hpe.com>, Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-juju-ansiterm-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo.git
 Homepage: https://github.com/juju/loggo

## golang-github-juju-loggo 2.1.0

=== debian/changelog ===
golang-github-juju-loggo (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 07 Jul 2024 12:45:13 +0000

golang-github-juju-loggo (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Mar 2024 21:00:45 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-juju-ansiterm-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo.git
 Homepage: https://github.com/juju/loggo

## golang-github-juju-loggo 2.2.0

=== debian/changelog ===
golang-github-juju-loggo (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 29 Sep 2025 13:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                golang-any,
                golang-github-juju-ansiterm-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-loggo.git
 Homepage: https://github.com/juju/loggo
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/juju/loggo
 
 Package: golang-github-juju-loggo-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/juju/loggo/tags .*/v?(\d\S*)\.tar\.gz debian
